Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.config
Class PlannerBenchmarkConfig

    java.lang.Object
      org.drools.planner.benchmark.config.PlannerBenchmarkConfig

    public class PlannerBenchmarkConfig

extends Object

Field Summary
`static String` | `AVAILABLE_PROCESSOR_COUNT`
`protected org.slf4j.Logger` | `logger`
`static String` | `PARALLEL_BENCHMARK_COUNT_AUTO`

Constructor Summary
`PlannerBenchmarkConfig()`

Method Summary
`PlannerBenchmark` | `buildPlannerBenchmark()`
`protected long` | `calculateWarmUpTimeMillisSpendTotal()`
`protected void` | `generateSolverBenchmarkConfigNames()`
`File` | `getBenchmarkDirectory()`
`Boolean` | `getBenchmarkHistoryReportEnabled()`
`Locale` | `getBenchmarkReportLocale()`
`SolverBenchmarkConfig` | `getInheritedSolverBenchmarkConfig()`
`String` | `getName()`
`String` | `getParallelBenchmarkCount()` Using multiple parallel benchmarks can decrease the reliability of the results.
`List<SolverBenchmarkConfig>` | `getSolverBenchmarkConfigList()`
`Class<Comparator<SolverBenchmark>>` | `getSolverBenchmarkRankingComparatorClass()`
`SolverBenchmarkRankingType` | `getSolverBenchmarkRankingType()`
`Class<SolverBenchmarkRankingWeightFactory>` | `getSolverBenchmarkRankingWeightFactoryClass()`
`Long` | `getWarmUpHoursSpend()`
`Long` | `getWarmUpMinutesSpend()`
`Long` | `getWarmUpSecondsSpend()`
`Long` | `getWarmUpTimeMillisSpend()`
`protected void` | `inherit()`
`protected int` | `resolveParallelBenchmarkCount()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setBenchmarkHistoryReportEnabled(Boolean benchmarkHistoryReportEnabled)`
`void` | `setBenchmarkReportLocale(Locale benchmarkReportLocale)`
`void` | `setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)`
`void` | `setName(String name)`
`void` | `setParallelBenchmarkCount(String parallelBenchmarkCount)`
`void` | `setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)`
`void` | `setSolverBenchmarkRankingComparatorClass(Class<Comparator<SolverBenchmark>> solverBenchmarkRankingComparatorClass)`
`void` | `setSolverBenchmarkRankingType(SolverBenchmarkRankingType solverBenchmarkRankingType)`
`void` | `setSolverBenchmarkRankingWeightFactoryClass(Class<SolverBenchmarkRankingWeightFactory> solverBenchmarkRankingWeightFactoryClass)`
`void` | `setWarmUpHoursSpend(Long warmUpHoursSpend)`
`void` | `setWarmUpMinutesSpend(Long warmUpMinutesSpend)`
`void` | `setWarmUpSecondsSpend(Long warmUpSecondsSpend)`
`void` | `setWarmUpTimeMillisSpend(Long warmUpTimeMillisSpend)`
`protected void` | `supplySolverBenchmarkRanking(DefaultPlannerBenchmark plannerBenchmark)`
`protected void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARALLEL_BENCHMARK_COUNT_AUTO

    public static final String PARALLEL_BENCHMARK_COUNT_AUTO

See Also:
  Constant Field Values

### AVAILABLE_PROCESSOR_COUNT

    public static final String AVAILABLE_PROCESSOR_COUNT

See Also:
  `Runtime.availableProcessors()`, Constant Field Values

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### PlannerBenchmarkConfig

    public PlannerBenchmarkConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getParallelBenchmarkCount

    public String getParallelBenchmarkCount()

  Using multiple parallel benchmarks can decrease the reliability of the results.

  If there aren't enough processors available, it will be decreased.

  Returns:
    null, "AUTO" or a JavaScript calculation using "availableProcessorCount".

### setParallelBenchmarkCount

    public void setParallelBenchmarkCount(String parallelBenchmarkCount)

### getWarmUpTimeMillisSpend

    public Long getWarmUpTimeMillisSpend()

### setWarmUpTimeMillisSpend

    public void setWarmUpTimeMillisSpend(Long warmUpTimeMillisSpend)

### getWarmUpSecondsSpend

    public Long getWarmUpSecondsSpend()

### setWarmUpSecondsSpend

    public void setWarmUpSecondsSpend(Long warmUpSecondsSpend)

### getWarmUpMinutesSpend

    public Long getWarmUpMinutesSpend()

### setWarmUpMinutesSpend

    public void setWarmUpMinutesSpend(Long warmUpMinutesSpend)

### getWarmUpHoursSpend

    public Long getWarmUpHoursSpend()

### setWarmUpHoursSpend

    public void setWarmUpHoursSpend(Long warmUpHoursSpend)

### getBenchmarkReportLocale

    public Locale getBenchmarkReportLocale()

### setBenchmarkReportLocale

    public void setBenchmarkReportLocale(Locale benchmarkReportLocale)

### getSolverBenchmarkRankingType

    public SolverBenchmarkRankingType getSolverBenchmarkRankingType()

### setSolverBenchmarkRankingType

    public void setSolverBenchmarkRankingType(SolverBenchmarkRankingType solverBenchmarkRankingType)

### getSolverBenchmarkRankingComparatorClass

    public Class<Comparator<SolverBenchmark>> getSolverBenchmarkRankingComparatorClass()

### setSolverBenchmarkRankingComparatorClass

    public void setSolverBenchmarkRankingComparatorClass(Class<Comparator<SolverBenchmark>> solverBenchmarkRankingComparatorClass)

### getSolverBenchmarkRankingWeightFactoryClass

    public Class<SolverBenchmarkRankingWeightFactory> getSolverBenchmarkRankingWeightFactoryClass()

### setSolverBenchmarkRankingWeightFactoryClass

    public void setSolverBenchmarkRankingWeightFactoryClass(Class<SolverBenchmarkRankingWeightFactory> solverBenchmarkRankingWeightFactoryClass)

### getInheritedSolverBenchmarkConfig

    public SolverBenchmarkConfig getInheritedSolverBenchmarkConfig()

### setInheritedSolverBenchmarkConfig

    public void setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)

### getSolverBenchmarkConfigList

    public List<SolverBenchmarkConfig> getSolverBenchmarkConfigList()

### setSolverBenchmarkConfigList

    public void setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)

### getBenchmarkHistoryReportEnabled

    public Boolean getBenchmarkHistoryReportEnabled()

### setBenchmarkHistoryReportEnabled

    public void setBenchmarkHistoryReportEnabled(Boolean benchmarkHistoryReportEnabled)

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

### validate

    protected void validate()

### generateSolverBenchmarkConfigNames

    protected void generateSolverBenchmarkConfigNames()

### inherit

    protected void inherit()

### supplySolverBenchmarkRanking

    protected void supplySolverBenchmarkRanking(DefaultPlannerBenchmark plannerBenchmark)

### resolveParallelBenchmarkCount

    protected int resolveParallelBenchmarkCount()

### calculateWarmUpTimeMillisSpendTotal

    protected long calculateWarmUpTimeMillisSpendTotal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.